# Create your views here.
from models import *
from django.http import HttpResponse
from ships import models
import json
from django.shortcuts import render_to_response

def translate(request, model, field):
    start = request.GET.get("start", False)
    end = request.GET.get("end", False)
    if not start and not end:
        limit = False
    else:
        limit = True
    try:
        m = models.__getattribute__(model)
    except AttributeError:
        return HttpResponse("no such model")
    response = ''
    if field not in m._meta.get_all_field_names():
        return HttpResponse("no such field")
    qset = m.objects.values(field).distinct()
    if limit:
        if not start:
            start = 0
        if not end:
            end = qset.count()
        qset = qset[start:end]
    for obj in qset:
        val = obj[field]
        ordArr = []
        for char in val:
            ordArr.append(str(ord(char)))
        response += "%s|%s<br />" % (",".join(ordArr), val,)
    return render_to_response("translate.html", {'txt': response})
